//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Support/Data/Dirs.h
//! @brief     Defines class Dirs.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_SUPPORT_DATA_DIRS_H
#define BORNAGAIN_GUI_SUPPORT_DATA_DIRS_H

#include "Wrap/WinDllMacros.h"
#include <QString>

//! Handles activity related to opening/save projects.

class Dirs {
public:
    Dirs();
    ~Dirs();

    QString import_filter_1D; //!< Last used import filter for 1D files
    QString import_filter_2D; //!< Last used import filter for 2D files

    QString artifact_export_dir; //!< Last used directory to save image, script, ...
    QString data_import_dir;     //!< Last data were imported from this directory
    QString script_import_dir;   //!< Last script was imported from this directory

    void writeSettings();

private:
    void readSettings();
};

BA_GUI_API_ extern std::unique_ptr<Dirs> gDirs;

#endif // BORNAGAIN_GUI_SUPPORT_DATA_DIRS_H
